################################################################################
##                                                                            ##
## ------------ ACHIEVEMENTS ------------------------------------------------ ##
##                                                                            ##
## DEVELOPED BY: .craziesT                                                    
##                                                                            
## DESCRIPTION: Sends messages to player at certain milestones
##


import es
from rankme import rankme

database = rankme.database
mainaddon_path = rankme.addon_path
aconfig = mainaddon_path + '/config/achievements.txt'
a = {}

def load():
    parse()

def parse():
    file = open(aconfig, 'r')
    lines = file.readlines()
    for line in filter(lambda line: not line.startswith('//') and not line.startswith('\n'), lines):
        split = line.split("|")
        if split:
            if len(split) == 2:
                a[int(split[0].strip())] = {'message' : split[1].strip().replace('"', ''), 'sound' : None}
            if len(split) == 3:
                a[int(split[0].strip())] = {'message' : split[1].strip().replace('"', ''), 'sound' : split[2].strip().replace('"', '')}
        

def player_death(ev):
    if not ev['attacker']: return
    attacker = int(ev['attacker'])
    if es.isbot(attacker): return
    
    player = rankme.getPlayer(attacker)
    if player.rank:
        kills, deaths, points = player.rank
            
        if kills in a.keys():
            es.centertell(ev['attacker'], a[kills]['message'])
            es.tell(ev['attacker'], '#green', a[kills]['message'])
            if a[kills]['sound']:
                es.playsound(ev['attacker'], a[kills]['sound'], 1.0)